#pragma once

#include "config-ini.h"

#include <libubox/avl.h>

typedef struct _config_object {
	struct avl_node node;
	char *type;
	ini_file_t *data;
} config_object_t;

void config_object_free(config_object_t *obj);
struct avl_tree * config_process_subtypes(struct avl_tree *sub);
struct avl_tree * config_process_devices(struct avl_tree *devices);
